# Class CIM_HostedBootSAP
extends CIM_HostedAccessPoint

HostedBootSAP defines the hosting UnitaryComputerSystem for a BootSAP. Since this relationship is subclassed from HostedAccessPoint, it inherits the scoping/naming scheme defined for AccessPoint - where an AccessPoint is weak to its hosting System. In this case, a BootSAP must be weak to its hosting UnitaryComputerSystem.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_HostedAccessPoint
|
+--CIM_HostedBootSAP

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | HostedBootSAP defines the hosting UnitaryComputerSystem for a BootSAP. Since this relationship is subclassed from HostedAccessPoint, it inherits the scoping/naming scheme defined for AccessPoint - where an AccessPoint is weak to its hosting System. In this case, a BootSAP must be weak to its hosting UnitaryComputerSystem.
UMLPackagePath | string | CIM::System::Boot
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_HostedBootSAP | CIM_ComputerSystem
Dependent | CIM_HostedBootSAP | CIM_BootSAP

## Class Methods